Support » Plugin: Membership & Content Restriction - Paid Member Subscriptions » throw an Error in a future version of PHP

  • Resolved lillike18

    (@lillike18)


    Hi,

    I have already updated the plugin, than the following message received:

    constant PAID_MEMBER_SUBSCRIPTIONS – assumed ‘PAID_MEMBER_SUBSCRIPTIONS’ (this will throw an Error in a future version of PHP) in /…./wp-content/plugins/paid-member-subscriptions/includes/admin/class-admin-register-version.php on line 21.

    Please, advise.

    Thanks.

Viewing 6 replies - 1 through 6 (of 6 total)
  • Hi there,

    just confirming… same issue with our site.
    Hope there’s gonna be a solution

    Thanks

    • This reply was modified 5 months, 3 weeks ago by geekayhu.

    Confirming too. The same bug:

    Warning: Use of undefined constant PAID_MEMBER_SUBSCRIPTIONS - assumed 'PAID_MEMBER_SUBSCRIPTIONS' (this will throw an Error in a future version of PHP) in (...)/wp-content/plugins/paid-member-subscriptions/includes/admin/class-admin-register-version.php on line 21

    The bug also affects the appearance of the Template metabox.

    Also affects Elementor – the save button disappears.

    • This reply was modified 5 months, 3 weeks ago by schuerich.
    • This reply was modified 5 months, 3 weeks ago by t-p.

    Same issue here

    Plugin Author Georgian Cocora

    (@raster02)

    Hello,

    Going to release an update in a while and fix this issue.

    Regards.

    Plugin Author Georgian Cocora

    (@raster02)

    @lillike18, @geekayhu, @schuerich, @leenie1

    The issue is now fixed through a new update, 2.5.9. Please update and let me know if it works correctly now.

    I apologize for the issues created.

    Regards.

    Hi there,

    The error msg disappeared. So far so good. Thanks so much for the quick resolution.

    Gabe (@geekayhu)

Viewing 6 replies - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.